from narval.public import AL_NS

first_plan = get_plan(memory)
second_plan = get_plan(memory)

# check plan state
assert_equals(first_plan.state, 'done')
assert_equals(second_plan.state, 'done')
# check steps'state
assert_equals(first_plan.elements['step2'].state, 'failed')
assert_equals(first_plan.elements['step3'].state, 'history')
assert_equals(first_plan.elements['end_step'].state, 'done')

